#ifndef __CA_CL106D_H__
#define __CA_CL106D_H__

typedef struct {
    unsigned char ucHead;//帧起始标志固定为 0x81
    unsigned char ucRxID;//接收 ID，如 0x02
    unsigned char ucTxID;//发送 ID， 如 0x07
    unsigned char ucLength;//帧总字节数<=255
    unsigned char ucCmd;
}ClHead_t;

typedef struct 
{
    int fd;
    unsigned char recv_buf[512];
    unsigned char send_buf[512];
} cl106d_ctrl_t;


extern int cl106d_setpower(float vol,float cur);
extern int cl106d_init();
extern int cl106d_connet();
#endif
